GnuTLSServerAnon Class Reference

`#include <tlsgnutlsserveranon.h>`

Inheritance diagram for GnuTLSServerAnon:
[legend]

## Public Member Functions

| GnuTLSServerAnon (TLSHandler *th)
virtual | ~GnuTLSServerAnon ()
virtual bool | init (const std::string &clientKey=EmptyString, const std::string &clientCerts=EmptyString, const StringList &cacerts=StringList())
virtual void | cleanup ()
Public Member Functions inherited from GnuTLSBase
| GnuTLSBase (TLSHandler *th, const std::string &server=EmptyString)
virtual | ~GnuTLSBase ()
virtual bool | encrypt (const std::string &data)
virtual int | decrypt (const std::string &data)
virtual bool | handshake ()
virtual bool | hasChannelBinding () const
virtual const std::string | channelBinding () const
virtual void | setCACerts (const StringList &)
virtual void | setClientCert (const std::string &, const std::string &)
Public Member Functions inherited from TLSBase
| TLSBase (TLSHandler *th, const std::string server)
virtual | ~TLSBase ()
void | setInitLib (bool init)
virtual bool | isSecure () const
virtual const std::string | channelBindingType () const
virtual const CertInfo & | fetchTLSInfo () const

## Detailed Description

This class implements (stream) encryption using GnuTLS server-side.

You should not need to use this class directly.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 38 of file tlsgnutlsserveranon.h.

## Constructor & Destructor Documentation

## GnuTLSServerAnon()

GnuTLSServerAnon | ( | TLSHandler * | th | ) |

Constructor.

Parameters

  th | The TLSHandler to handle TLS-related events.

Definition at line 24 of file tlsgnutlsserveranon.cpp.

## ~GnuTLSServerAnon()

~GnuTLSServerAnon | ( |  | ) |

virtual

Virtual destructor.

Definition at line 29 of file tlsgnutlsserveranon.cpp.

## Member Function Documentation

## cleanup()

void cleanup | ( |  | ) |

virtual

This function performs internal cleanup and will be called after a failed handshake attempt.

Reimplemented from GnuTLSBase.

Definition at line 35 of file tlsgnutlsserveranon.cpp.

## init()

bool init | ( | const std::string & | clientKey = EmptyString,
|  | const std::string & | clientCerts = EmptyString,
|  | const StringList & | cacerts = StringList() )

virtual

Initializes the TLS module. This function must be called (and execute successfully) before the module can be used.

Parameters

  clientKey | The absolute path to the user's private key in PEM format.
  clientCerts | A path to a certificate bundle in PEM format.
  cacerts | A list of absolute paths to CA root certificate files in PEM format.

Returns
  False if initialization failed, true otherwise.

Since
  1.0

Implements TLSBase.

Definition at line 41 of file tlsgnutlsserveranon.cpp.

The documentation for this class was generated from the following files:

- tlsgnutlsserveranon.h
- tlsgnutlsserveranon.cpp